$regfile = "M128def.dat"
$crystal = 8000000

$hwstack = 128
$swstack = 128
$framesize = 128


$baud1 = 9600
Open "Com1:" As Binary As #1                                ' use #1 for fs_interpreter
Config Serialin = Buffered , Size = 20
Config Clock = Soft
Enable Interrupts
Config Date = Dmy , Separator = .
Print #1 , "Test_Dos_Drive compiled at " ; Version()
Dim Btemp1 As Byte

Print #1 , "Wait for Drive"
' Include here you driver for Compactflash/HardDisk or other
'$Include "Config_XRAMDrive0.bas"

'$include "Config_CompactFlash_ElektorIF_M128.bas"
'$Include "Config_CompactFlash_M128.bas"
'$Include "Config_HardDisk.bas"
$include "Config_MMC.bas"



If Gbdriveerror = 0 Then

' Include AVR-DOS Configuration and library

$include "Config_AVR-DOS.BAS"


  Print #1 , "Init File System ... ";
  Btemp1 = Initfilesystem(1)                                ' Partition 1
                                      ' use 0 for drive without Master boot record
  If Btemp1 <> 0 Then
     Print #1 , "Error: " ; Btemp1 ; " at Init file system"
  Else
     Print #1 , " OK"
     Print #1 , "Filesystem: " ; Gbfilesystem
     Print #1 , "FAT Start Sector: " ; Glfatfirstsector
     Print #1 , "Root Start Sector: " ; Glrootfirstsector
     Print #1 , "Data First Sector: " ; Gldatafirstsector
     Print #1 , "Max. Cluster Nummber: " ; Glmaxclusternumber
     Print #1 , "Sectors per Cluster: " ; Gbsectorspercluster
     Print #1 , "Root Entries: " ; Gwrootentries
     Print #1 , "Sectors per FAT: " ; Glsectorsperfat
     Print #1 , "Number of FATs: " ; Gbnumberoffats
     Print #1 , ""
     Print #1 , "AVR-DOS_Config Settings"
     Print #1 , Cfilehandles ; " File-Handles (cFileHandles = " ; Cfilehandles ; ")"
     Print #1 , "Directory and Fat handled in " ;
     #if Csepfathandle = 1
          Print #1 , " different buffers";
     #else
         Print #1 , "same buffer";
     #endif
     Print #1 , " (cSepFATHandle = " ; Csepfathandle ; ")"
     Print #1 , "Directory and Fat Information of a File saved  " ;
     #if Cfatdirsaveatend = 1
         Print #1 , "only at Flush and Close" ;
     #else
         Print #1 , "at every Data Sector" ;
     #endif
     Print #1 , " (cFATDirSaveAtEnd = " ; Cfatdirsaveatend ; ")"
  End If
Else
   Print #1 , "Error during Drive Init: " ; Gbdriveerror
End If

'  
Dim Da As String * 8
Dim Da0 As String * 5
Dim Da1 As String * 5
Dim Da2 As String * 12
Dim Da3 As String * 12
Dim Da4 As String * 8
Da = "Gps1"
Da0 = ".TXT"
Da1 = ".KML"
  Da2 = Da + Da1                                            '  
  Da3 = Da + Da0

 Open Da2 For Append As #9
     Print #9 , "</coordinates>"
     Print #9 , "</LineString>"
     Print #9 , "         "
     Print #9 , Date$
     Print #9 , "         "
     Print #9 , Time$
   Close #9
' 

' If you want to test with File-System Interpreter uncomment next line
$include "FS_Interpreter.bas"